package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : BH检测大类表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-05-22 11:14
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="QMS_CHECK_TYPE")
@Api("BH检测大类表")
public class QmsCheckType extends BaseBean {

    @Column(name = "CHECK_TYPE_CODE")
    @ApiParam("检测大类代码")
    private String checkTypeCode;

    @Column(name = "CHECK_TYPE_NAME")
    @ApiParam("检测大类名称")
    private String checkTypeName;

    @Column(name="REMARK")
    @ApiParam(value ="备注")
    private String remark;
}
